/* 
 * File: MyGUIController.js
 * Container controller
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, MyApplication */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", ["CSS450Slider", "CSS450Timer"]);

myModule.controller("exCtrl", function ($scope) {
    $scope.mSliderValue = 5;   // this is a tex!
    $scope.mOutputEcho = "nothing for now";

    $scope.mModel = new MyApplication($scope.mSliderValue, $scope.mOutputEcho);

    $scope.serviceSlider = function () {
        $scope.mOutputEcho = "Slider service:" + $scope.mSliderValue;
        $scope.mModel.setInputValue($scope.mSliderValue);
    };

    $scope.serviceKey = function (myE) {
        $scope.mOutputEcho = "[" + myE.which + "]: ";
        switch (myE.which) {
        case 78:  // "n"
            $scope.mModel.computeOutput();
            $scope.mOutputEcho += " ... computing ...";
            break;
        case 79: // "o"
            $scope.mOutputEcho += "Received: " + $scope.mModel.appState();
            break;
        }
    };
});
