/* 
 * File: MyDriver.js
 * Test Driver for the timer
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";
var app = angular.module("appMyExample", ["CSS450Timer"]);
app.controller("exCtrl", function ($scope) {
    var mTime = 0;
    $scope.mEcho = "No value";
    $scope.mFastTimerEnable = true;
    $scope.mSlowTimerEnable = false;

    $scope.fn = function () {
        mTime++;
        $scope.mEcho = "Timer:" + mTime;
    };

    $scope.timerCtrl = function (timerSwitch) {
        if (timerSwitch)
            $scope.$broadcast("timer-started");
        else
            $scope.$broadcast('timer-stopped');
    };
});
