/* 
 * File: MyGUIController.js
 * Container controller
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular, MyApplication */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", ["CSS450Slider", "CSS450Timer"]);

myModule.controller("exCtrl", function ($scope) {
    $scope.mOutputEcho = "nothing for now";
    $scope.mUserEcho = "nothing for now";

    $scope.mModel = new MyApplication(3);
    $scope.mModelView = $scope.mModel;  // modelView object "wraps" the model

    $scope.serviceSlider = function () {
        $scope.mOutputEcho = "Slider service:" + $scope.mModelView.mInput;
    };

    $scope.serviceKey = function (myE) {
        $scope.mUserEcho = "[" + myE.which + "]: ";
        switch (myE.which) {
        case 78:  // "n"
            $scope.mModelView.computeOutput();
            $scope.mUserEcho += " ... computing ...";
            break;
        case 79: // "o"
            $scope.mUserEcho += "Received: " + $scope.mModelView.appState();
            break;
        }
    };
});
